package polygonnet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Опрашивает полигон в сети
*/

// PolygonNet -- опрашивает полигон на базе
type PolygonNet struct {
	*sectionnet.SectionNet
}

// NewPolygonNet -- возвращает новый *PolygonNet
func NewPolygonNet(polygon types.ИПолигон) (*PolygonNet, error) {
	sectionNet, err := sectionnet.NewSectionNet(polygon, "https://wartank.ru/polygon")
	if err != nil {
		return nil, fmt.Errorf("NewPolygonNet(): in create *SectionNet, err=\n\t%w", err)
	}

	sf := &PolygonNet{
		SectionNet: sectionNet,
	}

	return sf, nil
}
